<?php
/**
 * Copyright since 2025 InPost S.A.
 *
 * For the full license information, please view the LICENSE file bundled with the module.
 *
 * @author InPost S.A.
 * @copyright since 2025 InPost S.A.
 * @license MIT
 */

declare(strict_types=1);

namespace InPost\International\Hook\Event;

use InPost\International\EventDispatcher\Event;
use Symfony\Component\HttpFoundation\Request;

if (!defined('_PS_VERSION_')) {
    exit;
}

abstract class AbstractHook extends Event implements HookInterface
{
    /**
     * @var Request|null
     */
    protected $request;

    public function getRequest(): ?Request
    {
        return $this->request ?? null;
    }
}
